Bug 737389 - BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:1087 : add_bdi_stats
Summary: BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:108...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c53c33d61834e36410ce1e65dff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 18:40 UTC by Dave
Modified: 2011-11-22 18:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-22 18:09:58 UTC


Attachments (Terms of Use)

Description Dave 2011-09-11 18:40:57 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        ro root=/dev/mapper/vg_home-lv_root rd_LVM_LV=vg_home/lv_root rd_LVM_LV=vg_home/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        The kernel crashed during an update.
component:      kernel
kernel:         2.6.38.6-26.rc1.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:1087
time:           Sat Sep 10 10:21:26 2011

backtrace:
:BUG: sleeping function called from invalid context at arch/x86/mm/fault.c:1087
:in_atomic(): 0, irqs_disabled(): 1, pid: 20001, name: umount
:Pid: 20001, comm: umount Not tainted 2.6.38.6-26.rc1.fc15.i686.PAE #1
:Call Trace:
: [<c07e15f2>] ? printk+0x2d/0x2f
: [<c0435b8a>] __might_sleep+0xdd/0xe4
: [<c07ebeda>] do_page_fault+0x179/0x30c
: [<c04307c7>] ? update_curr+0xa5/0x132
: [<c042f703>] ? update_stats_wait_end+0xad/0xf2
: [<c0431ab5>] ? hrtick_update+0x2e/0x31
: [<c040fef7>] ? __switch_to_xtra+0x113/0x13b
: [<c07ebd61>] ? do_page_fault+0x0/0x30c
: [<c07e9ae7>] error_code+0x67/0x6c
: [<c043007b>] ? cpuacct_stats_show+0x41/0x58
: [<c05e48d5>] ? __percpu_counter_add+0xe/0x6d
: [<c04b92c3>] __add_bdi_stat+0x33/0x37
: [<c04b9ab9>] account_page_dirtied+0x52/0x70
: [<c050bfdc>] __set_page_dirty+0x56/0x8a
: [<c050c087>] mark_buffer_dirty+0x77/0x7a
: [<c0583ec3>] jbd2_journal_update_superblock+0x96/0x101
: [<c07e8ffb>] ? _raw_spin_unlock_irqrestore+0x13/0x15
: [<c058423d>] jbd2_journal_destroy+0x15d/0x1b4
: [<c045901d>] ? autoremove_wake_function+0x0/0x39
: [<c056395d>] ext4_put_super+0x6b/0x2c4
: [<c04ff64d>] ? evict_inodes+0xb1/0xb9
: [<c04ef2b7>] generic_shutdown_super+0x58/0xb8
: [<c04ef339>] kill_block_super+0x22/0x60
: [<c04ef54a>] deactivate_locked_super+0x1f/0x40
: [<c04efedb>] deactivate_super+0x2e/0x31
: [<c0501a88>] mntput_no_expire+0xb5/0xb9
: [<c0502326>] sys_umount+0x270/0x297
: [<c04f538e>] ? path_put+0x1a/0x1d
: [<c040969f>] sysenter_do_call+0x12/0x28

Comment 1 Josh Boyer 2011-09-12 11:18:13 UTC
I'm guessing you had vbox modules loaded here too.  Can you recreate without those?

Comment 2 Chuck Ebbert 2011-09-14 09:28:46 UTC
Also try the 2.6.40 kernel update - yours is very old.

Comment 3 Chuck Ebbert 2011-09-14 09:42:33 UTC
Page fault in __add_bdi_stat()


Note You need to log in before you can comment on or make changes to this bug.